Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_OS_Thread_Descriptor Class Reference

Parent class of all ACE_Thread_Descriptor classes. = Container for ACE_Thread_Descriptor members that are used in ACE_OS. More...

`#include <Base_Thread_Adapter.h>`

Inheritance diagram for ACE_OS_Thread_Descriptor:

[legend]
List of all members.

## Public Methods
long | flags (void) const
| Get the thread creation flags.
## Protected Methods
| ACE_OS_Thread_Descriptor (long flags=0)
| For use by ACE_Thread_Descriptor.
## Protected Attributes
long | flags_

## Detailed Description

Parent class of all ACE_Thread_Descriptor classes. = Container for ACE_Thread_Descriptor members that are used in ACE_OS.

## Constructor & Destructor Documentation

ACE_INLINE ACE_OS_Thread_Descriptor::ACE_OS_Thread_Descriptor | ( | long | flags = 0 | ) | `[protected]`

| For use by ACE_Thread_Descriptor.

## Member Function Documentation

ACE_INLINE long ACE_OS_Thread_Descriptor::flags | ( | void |  | ) | const

| Get the thread creation flags.

## Member Data Documentation

long ACE_OS_Thread_Descriptor::flags_`[protected]`

| Keeps track of whether this thread was created "detached" or not. If a thread is *not* created detached then if someone calls <ACE_Thread_Manager::wait>, we need to join with that thread (and close down the handle).

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Base_Thread_Adapter.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Base_Thread_Adapter.inl